Module java.base
Package java.nio.charset

## Class IllegalCharsetNameException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException
        - - java.nio.charset.IllegalCharsetNameException

All Implemented Interfaces:
  `Serializable`

    public class IllegalCharsetNameException
    extends IllegalArgumentException

Unchecked exception thrown when a string that is not a legal charset name is used as such.

Since:
  1.4
See Also:
  Serialized Form

### Constructor Summary

Constructors
`IllegalCharsetNameException​(String charsetName)` Constructs an instance of this class.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getCharsetName()` Retrieves the illegal charset name.

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IllegalCharsetNameException

    public IllegalCharsetNameException​(String charsetName)

Constructs an instance of this class.

Parameters:
  `charsetName` - The illegal charset name

### Method Detail

#### getCharsetName

    public String getCharsetName()

Retrieves the illegal charset name.

Returns:
  The illegal charset name